<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php');
if (isset($_SESSION['usu_nombre']))
{
?>
<html>
<head>
    <script src="../js/jstirilla.js" type="text/javascript" language="javascript" charset="UTF-8"></script>
    <script src="js/JsBarcode.all.min.js"></script>
    <style type="text/css">
        body 
        {
            margin: 0;
            padding: 0;
        }
        #divid
        {
            font-family: Tahoma, Geneva, sans-serif;
            float: left;
            width: <?php echo $ancho; ?>mm;
            height:<?php echo $alto; ?>mm;
            margin-left:<?php echo $espacio; ?>mm;
            border: 0px solid #000000;
            word-break:break-all;
            text-align: center;
        }
    </style>
</head>

<body>

<?php 
if ($columnas==3) {

if (isset($_GET['ser_codigo'])){ $ser_codigo=$_GET['ser_codigo'];} else { $ser_codigo='';}
if (isset($_GET['comt_id'])){ $comt_id=$_GET['comt_id'];} else { $comt_id='';}

if (isset($_GET['ser_codigo_com'])){ $ser_codigo_com=$_GET['ser_codigo_com'];} else { $ser_codigo_com='';}
if (isset($_GET['comd_id'])){ $comd_id=$_GET['comd_id'];} else { $comd_id='';}


if ($comt_id<>null) 
    {
   
        $can1=mysqli_query($con,"SELECT * FROM seriales_com_temp WHERE  compra_detalle_temp_comt_id ='$comt_id' and usuario='$usu_id' ") or die(mysqli_error($con));  
        while ($row=mysqli_fetch_array($can1))
        {
        
            $ser_codigo=$row["ser_codigo"];
            
            $codbarra[]=(string)$row['ser_codigo'];

            $sql_comt=mysqli_query($con, "SELECT * from compra_detalle_temp where comt_id='$comt_id' and empresa='$empresa'");
            $rw_tar=mysqli_fetch_array($sql_comt);
            $comt_art_id=$rw_tar['comt_art_id'];
            $comt_referencia=$rw_tar['comt_referencia'];

            $sql_comt1=mysqli_query($con, "SELECT *,LEFT(comt_nombre,50) as comt_nombre from compra_detalle_temp where comt_id='$comt_id' and empresa='$empresa'");
            $rw_tar1=mysqli_fetch_array($sql_comt1);
            $comt_nombre=$rw_tar1['comt_nombre'];
            

            $tar=mysqli_query($con, "SELECT * from tarifas where tar_nombre='GENERAL' and empresa='$empresa'");
            $tar=mysqli_fetch_array($tar);
            $tar_id=$tar['tar_id'];

            $tar2=mysqli_query($con, "SELECT * from tarifas where tar_nombre='ASESOR' and empresa='$empresa'");
            $tar2=mysqli_fetch_array($tar2);
            $tar_id2=$tar2['tar_id'];

            $sql_emp=mysqli_query($con, "SELECT *,LEFT(emp_nombre,22) as emp_nombre from empresa WHERE emp_id='$empresa' ");
            $rw_pre= mysqli_fetch_array($sql_emp);
            $emp_nombre=$rw_pre['emp_nombre']; 

            $sql_pre=mysqli_query($con, "SELECT * from precio WHERE articulos_art_id='$comt_art_id' and tarifas_tar_id='$tar_id' and empresa='$empresa' ");
            $pre= mysqli_fetch_array($sql_pre);
            $pre_precio=$pre['pre_precio'];

             $sql_pre2=mysqli_query($con, "SELECT * from precio WHERE articulos_art_id='$comt_art_id' and tarifas_tar_id='$tar_id2' and empresa='$empresa' ");
            $pre2= mysqli_fetch_array($sql_pre2);
            $pre_precio2=$pre2['pre_precio'];

            $pre_gen=strlen($pre_precio); // 6 
            $pre_ase=strlen($pre_precio2); // 6 

            if ($pre_gen==6) {
                $string= substr($pre_precio, 0, 3);
            } else {
                $string= substr($pre_precio, 0, 2);
            }

            if ($pre_ase==6) {
                $string2= substr($pre_precio2, 0, 3);
            } else {
                $string2= substr($pre_precio2, 0, 2);
            }
             
                 ?>
                    <div id="divid">
                        <?php if ($nombre=='si') { ?>
                        <div class="form-group">
                            <strong style="font-size:8px;"><?php echo strtoupper($emp_nombre); ?> </strong>
                        </div>
                        <?php } else { ?>
                        <div class="form-group">
                            <strong style="font-size:2px;">&nbsp;</strong> 
                        </div> 
                        <?php } ?>
                         <div class="form-group">
                            <strong style="font-size:2px;">&nbsp;</strong> 
                        </div>
                        <div>
                            <strong style="font-size:6px;"> <?php echo $comt_nombre; ?> </strong> 
                        </div>
                        <div style="padding-left:1mm;padding-right:1mm;;padding-top:1mm;"> 
                            <svg id='<?php echo "barcode".str_replace(' ', '',$ser_codigo); ?>'>
                        </div>
                        <div> 
                            <strong style="font-size:10px;"> S/N: <?php echo $ser_codigo; ?> </strong> 
                        </div>
                         <div class="form-group">
                            <strong style="font-size:3px;">&nbsp;</strong> 
                        </div>
                        <?php if ($precio=='si') { ?>
                        <div>
                            <strong style="font-size:10px;"> REF:<?php echo $comt_referencia; ?> - <?php echo $string2; ?><?php echo $string; ?> </strong> 
                        </div>
                        <?php } else { ?>
                        <div class="form-group">
                            <strong style="font-size:10px;">&nbsp;</strong> 
                        </div> 
                        <?php } ?>
                    
                    </div>
<?php           
         
        }  

    } 
    else if ($ser_codigo<>null) 
    {

        $can1=mysqli_query($con,"SELECT * FROM seriales_com_temp WHERE ser_codigo='$ser_codigo' and usuario='$usu_id' ") or die(mysqli_error($con));  
        while ($row=mysqli_fetch_array($can1))
        {
            
            $compra_detalle_temp_comt_id=$row["compra_detalle_temp_comt_id"];
            $ser_codigo=$row["ser_codigo"];
            
            $codbarra[]=(string)$row['ser_codigo'];

            $sql_comt=mysqli_query($con, "SELECT * from compra_detalle_temp where comt_id='$compra_detalle_temp_comt_id' and empresa='$empresa'");
            $rw_tar=mysqli_fetch_array($sql_comt);
            $comt_art_id=$rw_tar['comt_art_id'];
            $comt_referencia=$rw_tar['comt_referencia'];

            $sql_comt1=mysqli_query($con, "SELECT *,LEFT(comt_nombre,50) as comt_nombre from compra_detalle_temp where comt_id='$compra_detalle_temp_comt_id' and empresa='$empresa'");
            $rw_tar1=mysqli_fetch_array($sql_comt1);
            $comt_nombre=$rw_tar1['comt_nombre'];
            
            $tar=mysqli_query($con, "SELECT * from tarifas where tar_nombre='GENERAL' and empresa='$empresa'");
            $tar=mysqli_fetch_array($tar);
            $tar_id=$tar['tar_id'];

            $tar2=mysqli_query($con, "SELECT * from tarifas where tar_nombre='ASESOR' and empresa='$empresa'");
            $tar2=mysqli_fetch_array($tar2);
            $tar_id2=$tar2['tar_id'];

            $sql_emp=mysqli_query($con, "SELECT *,LEFT(emp_nombre,22) as emp_nombre from empresa WHERE emp_id='$empresa' ");
            $rw_pre= mysqli_fetch_array($sql_emp);
            $emp_nombre=$rw_pre['emp_nombre']; 

            $sql_pre=mysqli_query($con, "SELECT * from precio WHERE articulos_art_id='$comt_art_id' and tarifas_tar_id='$tar_id' and empresa='$empresa' ");
            $pre= mysqli_fetch_array($sql_pre);
            $pre_precio=$pre['pre_precio'];

             $sql_pre2=mysqli_query($con, "SELECT * from precio WHERE articulos_art_id='$comt_art_id' and tarifas_tar_id='$tar_id2' and empresa='$empresa' ");
            $pre2= mysqli_fetch_array($sql_pre2);
            $pre_precio2=$pre2['pre_precio'];

            $pre_gen=strlen($pre_precio); // 6 
            $pre_ase=strlen($pre_precio2); // 6 

            if ($pre_gen==6) {
                $string= substr($pre_precio, 0, 3);
            } else {
                $string= substr($pre_precio, 0, 2);
            }

            if ($pre_ase==6) {
                $string2= substr($pre_precio2, 0, 3);
            } else {
                $string2= substr($pre_precio2, 0, 2);
            }
            ?>
            <div id="divid">
                <?php if ($nombre=='si') { ?>
                <div class="form-group">
                    <strong style="font-size:8px;"><?php echo strtoupper($emp_nombre); ?> </strong>
                </div>
                <?php } else { ?>
                <div class="form-group">
                    <strong style="font-size:2px;">&nbsp;</strong> 
                </div> 
                <?php } ?>
                 <div class="form-group">
                    <strong style="font-size:2px;">&nbsp;</strong> 
                </div>
                <div>
                   <strong style="font-size:6px;"> <?php echo $comt_nombre; ?> </strong> 
                </div>
                <div style="padding-left:1mm;padding-right:1mm;;padding-top:1mm;"> 
                    <svg id='<?php echo "barcode".str_replace(' ', '',$ser_codigo); ?>'>
                </div>
                <div> 
                    <strong style="font-size:10px;"> S/N: <?php echo $ser_codigo; ?> </strong> 
                </div>
                 <div class="form-group">
                    <strong style="font-size:3px;">&nbsp;</strong> 
                </div>
                <?php if ($precio=='si') { ?>
                <div>
                    <strong style="font-size:10px;"> REF:<?php echo $comt_referencia; ?> - <?php echo $string2; ?><?php echo $string; ?> </strong> 
                </div>
                <?php } else { ?>
                <div class="form-group">
                    <strong style="font-size:10px;">&nbsp;</strong> 
                </div> 
                <?php } ?>
            
            </div>
    <?php           
        }  
    }

    else if ($ser_codigo_com<>null) 
    {

        $can1=mysqli_query($con,"SELECT * FROM seriales_compra WHERE ser_codigo='$ser_codigo_com' ") or die(mysqli_error($con));  
        while ($row=mysqli_fetch_array($can1))
        {
            
            $compra_detalle_comd_id=$row["compra_detalle_comd_id"];
            $ser_codigo=$row["ser_codigo"];
            
            $codbarra[]=(string)$row['ser_codigo'];

            $sql_comt=mysqli_query($con, "SELECT * from compra_detalle where comd_id='$compra_detalle_comd_id' and empresa='$empresa'");
            $rw_tar=mysqli_fetch_array($sql_comt);
            $comd_art_id=$rw_tar['comd_art_id'];
            $comd_referencia=$rw_tar['comd_referencia'];

            $sql_comt1=mysqli_query($con, "SELECT *,LEFT(comd_nombre,50) as comd_nombre from compra_detalle where comd_id='$compra_detalle_comd_id' and empresa='$empresa'");
            $rw_tar1=mysqli_fetch_array($sql_comt1);
            $comd_nombre=$rw_tar1['comd_nombre'];

            $tar=mysqli_query($con, "SELECT * from tarifas where tar_nombre='GENERAL' and empresa='$empresa'");
            $tar=mysqli_fetch_array($tar);
            $tar_id=$tar['tar_id'];

            $tar2=mysqli_query($con, "SELECT * from tarifas where tar_nombre='ASESOR' and empresa='$empresa'");
            $tar2=mysqli_fetch_array($tar2);
            $tar_id2=$tar2['tar_id'];

            $sql_emp=mysqli_query($con, "SELECT *,LEFT(emp_nombre,22) as emp_nombre from empresa WHERE emp_id='$empresa' ");
            $rw_pre= mysqli_fetch_array($sql_emp);
            $emp_nombre=$rw_pre['emp_nombre']; 

            $sql_pre=mysqli_query($con, "SELECT * from precio WHERE articulos_art_id='$comd_art_id' and tarifas_tar_id='$tar_id' and empresa='$empresa' ");
            $pre= mysqli_fetch_array($sql_pre);
            $pre_precio=$pre['pre_precio'];

             $sql_pre2=mysqli_query($con, "SELECT * from precio WHERE articulos_art_id='$comd_art_id' and tarifas_tar_id='$tar_id2' and empresa='$empresa' ");
            $pre2= mysqli_fetch_array($sql_pre2);
            $pre_precio2=$pre2['pre_precio'];

            $pre_gen=strlen($pre_precio); // 6 
            $pre_ase=strlen($pre_precio2); // 6 

            if ($pre_gen==6) {
                $string= substr($pre_precio, 0, 3);
            } else {
                $string= substr($pre_precio, 0, 2);
            }

            if ($pre_ase==6) {
                $string2= substr($pre_precio2, 0, 3);
            } else {
                $string2= substr($pre_precio2, 0, 2);
            }
            ?>
            <div id="divid">
                <?php if ($nombre=='si') { ?>
                <div class="form-group">
                    <strong style="font-size:8px;"><?php echo strtoupper($emp_nombre); ?> </strong>
                </div>
                <?php } else { ?>
                <div class="form-group">
                    <strong style="font-size:2px;">&nbsp;</strong> 
                </div> 
                <?php } ?>
                 <div class="form-group">
                    <strong style="font-size:2px;">&nbsp;</strong> 
                </div>
                <div>
                   <strong style="font-size:6px;"> <?php echo $comd_nombre; ?> </strong>
                </div>
                <div style="padding-left:1mm;padding-right:1mm;;padding-top:1mm;"> 
                    <svg id='<?php echo "barcode".str_replace(' ', '',$ser_codigo); ?>'>
                </div>
                <div> 
                    <strong style="font-size:10px;"> S/N: <?php echo $ser_codigo; ?> </strong> 
                </div>
                 <div class="form-group">
                    <strong style="font-size:3px;">&nbsp;</strong> 
                </div>
                <?php if ($precio=='si') { ?>
                <div>
                    <strong style="font-size:10px;"> REF:<?php echo $comd_referencia; ?> - <?php echo $string2; ?><?php echo $string; ?> </strong> 
                </div>
                <?php } else { ?>
                <div class="form-group">
                    <strong style="font-size:10px;">&nbsp;</strong> 
                </div> 
                <?php } ?>
            
            </div>
    <?php           
        }  
    }

    if ($comd_id<>null) 
    {
   
        $can1=mysqli_query($con,"SELECT * FROM seriales_compra WHERE compra_detalle_comd_id='$comd_id'") or die(mysqli_error($con));  
        while ($row=mysqli_fetch_array($can1))
        {
        
            $ser_codigo=$row["ser_codigo"];
            
            $codbarra[]=(string)$row['ser_codigo'];

            $sql_comt=mysqli_query($con, "SELECT * from compra_detalle where comd_id='$comd_id' and empresa='$empresa'");
            $rw_tar=mysqli_fetch_array($sql_comt);
            $comd_art_id=$rw_tar['comd_art_id'];
            $comd_referencia=$rw_tar['comd_referencia'];

            $sql_comt1=mysqli_query($con, "SELECT *,LEFT(comd_nombre,50) as comd_nombre from compra_detalle where comd_id='$comd_id' and empresa='$empresa'");
            $rw_tar1=mysqli_fetch_array($sql_comt1);
            $comd_nombre=$rw_tar1['comd_nombre'];

            $tar=mysqli_query($con, "SELECT * from tarifas where tar_nombre='GENERAL' and empresa='$empresa'");
            $tar=mysqli_fetch_array($tar);
            $tar_id=$tar['tar_id'];

            $tar2=mysqli_query($con, "SELECT * from tarifas where tar_nombre='ASESOR' and empresa='$empresa'");
            $tar2=mysqli_fetch_array($tar2);
            $tar_id2=$tar2['tar_id'];

            $sql_emp=mysqli_query($con, "SELECT *,LEFT(emp_nombre,22) as emp_nombre from empresa WHERE emp_id='$empresa' ");
            $rw_pre= mysqli_fetch_array($sql_emp);
            $emp_nombre=$rw_pre['emp_nombre']; 

            $sql_pre=mysqli_query($con, "SELECT * from precio WHERE articulos_art_id='$comd_art_id' and tarifas_tar_id='$tar_id' and empresa='$empresa' ");
            $pre= mysqli_fetch_array($sql_pre);
            $pre_precio=$pre['pre_precio'];

             $sql_pre2=mysqli_query($con, "SELECT * from precio WHERE articulos_art_id='$comd_art_id' and tarifas_tar_id='$tar_id2' and empresa='$empresa' ");
            $pre2= mysqli_fetch_array($sql_pre2);
            $pre_precio2=$pre2['pre_precio'];

            $pre_gen=strlen($pre_precio); // 6 
            $pre_ase=strlen($pre_precio2); // 6 

            if ($pre_gen==6) {
                $string= substr($pre_precio, 0, 3);
            } else {
                $string= substr($pre_precio, 0, 2);
            }

            if ($pre_ase==6) {
                $string2= substr($pre_precio2, 0, 3);
            } else {
                $string2= substr($pre_precio2, 0, 2);
            }
             
                 ?>
                    <div id="divid">
                        <?php if ($nombre=='si') { ?>
                        <div class="form-group">
                            <strong style="font-size:8px;"><?php echo strtoupper($emp_nombre); ?> </strong>
                        </div>
                        <?php } else { ?>
                        <div class="form-group">
                            <strong style="font-size:2px;">&nbsp;</strong> 
                        </div> 
                        <?php } ?>
                         <div class="form-group">
                            <strong style="font-size:2px;">&nbsp;</strong> 
                        </div>
                        <div>
                          <strong style="font-size:6px;"> <?php echo $comd_nombre; ?> </strong> 
                        </div>
                        <div style="padding-left:1mm;padding-right:1mm;;padding-top:1mm;"> 
                            <svg id='<?php echo "barcode".str_replace(' ', '',$ser_codigo); ?>'>
                        </div>
                        <div> 
                            <strong style="font-size:10px;"> S/N: <?php echo $ser_codigo; ?> </strong> 
                        </div>
                         <div class="form-group">
                            <strong style="font-size:3px;">&nbsp;</strong> 
                        </div>
                        <?php if ($precio=='si') { ?>
                        <div>
                            <strong style="font-size:10px;"> REF:<?php echo $comd_referencia; ?> - <?php echo $string2; ?><?php echo $string; ?> </strong> 
                        </div>
                        <?php } else { ?>
                        <div class="form-group">
                            <strong style="font-size:10px;">&nbsp;</strong> 
                        </div> 
                        <?php } ?>
                    
                    </div>
<?php           
         
        }  

    } 
}























else 
{

if (isset($_GET['ser_codigo'])){ $ser_codigo=$_GET['ser_codigo'];} else { $ser_codigo='';}
if (isset($_GET['comt_id'])){ $comt_id=$_GET['comt_id'];} else { $comt_id='';}

if (isset($_GET['ser_codigo_com'])){ $ser_codigo_com=$_GET['ser_codigo_com'];} else { $ser_codigo_com='';}
if (isset($_GET['comd_id'])){ $comd_id=$_GET['comd_id'];} else { $comd_id='';}


if ($comt_id<>null) 
    {
   
        $can1=mysqli_query($con,"SELECT * FROM seriales_com_temp WHERE  compra_detalle_temp_comt_id ='$comt_id' and usuario='$usu_id' ") or die(mysqli_error($con));  
        while ($row=mysqli_fetch_array($can1))
        {
        
            $ser_codigo=$row["ser_codigo"];
            
            $codbarra[]=(string)$row['ser_codigo'];

            $sql_comt=mysqli_query($con, "SELECT * from compra_detalle_temp where comt_id='$comt_id' and empresa='$empresa'");
            $rw_tar=mysqli_fetch_array($sql_comt);
            $comt_art_id=$rw_tar['comt_art_id'];
            $comt_referencia=$rw_tar['comt_referencia'];

            $sql_comt1=mysqli_query($con, "SELECT *,LEFT(comt_nombre,50) as comt_nombre from compra_detalle_temp where comt_id='$comt_id' and empresa='$empresa'");
            $rw_tar1=mysqli_fetch_array($sql_comt1);
            $comt_nombre=$rw_tar1['comt_nombre'];

            $tar=mysqli_query($con, "SELECT * from tarifas where tar_nombre='GENERAL' and empresa='$empresa'");
            $tar=mysqli_fetch_array($tar);
            $tar_id=$tar['tar_id'];

            $tar_id2='';
            $tar2=mysqli_query($con, "SELECT * from tarifas where tar_nombre='ASESOR' and empresa='$empresa'");
            if($tar2=mysqli_fetch_array($tar2)) {
            $tar_id2=$tar2['tar_id']; }

            $sql_emp=mysqli_query($con, "SELECT *,LEFT(emp_nombre,23) as emp_nombre from empresa WHERE emp_id='$empresa' ");
            $rw_pre= mysqli_fetch_array($sql_emp);
            $emp_nombre=$rw_pre['emp_nombre']; 

            $sql_pre=mysqli_query($con, "SELECT * from precio WHERE articulos_art_id='$comt_art_id' and tarifas_tar_id='$tar_id' and empresa='$empresa' ");
            $pre= mysqli_fetch_array($sql_pre);
            $pre_precio=$pre['pre_precio'];

            $pre_precio2='';
             $sql_pre2=mysqli_query($con, "SELECT * from precio WHERE articulos_art_id='$comt_art_id' and tarifas_tar_id='$tar_id2' and empresa='$empresa' ");
            if($pre2= mysqli_fetch_array($sql_pre2)){
            $pre_precio2=$pre2['pre_precio']; }

            $pre_gen=strlen($pre_precio); // 6 
            $pre_ase=strlen($pre_precio2); // 6 

            if ($pre_gen==6) {
                $string= substr($pre_precio, 0, 3);
            } else {
                $string= substr($pre_precio, 0, 2);
            }

            if ($pre_ase==6) {
                $string2= substr($pre_precio2, 0, 3);
            } else {
                $string2= substr($pre_precio2, 0, 2);
            }
             
                 ?>
                    <div id="divid">
                        <?php if ($nombre=='si') { ?>
                        <div class="form-group">
                            <strong style="font-size:7px;"><?php echo strtoupper($emp_nombre); ?> </strong>
                        </div>
                        <?php } else { ?>
                        <div class="form-group">
                            <strong style="font-size:2px;">&nbsp;</strong> 
                        </div> 
                        <?php } ?>
                         <div class="form-group">
                            <strong style="font-size:1px;">&nbsp;</strong> 
                        </div>
                        <div>
                            <strong style="font-size:6px;"> <?php echo $comt_nombre; ?> </strong> 
                        </div>
                        <div style="padding-left:1mm;padding-right:1mm;;padding-top:1mm;"> 
                            <svg id='<?php echo "barcode".str_replace(' ', '',$ser_codigo); ?>'>
                        </div>
                        <div> 
                            <strong style="font-size:8px;"> S/N: <?php echo $ser_codigo; ?> </strong> 
                        </div>
                         <div class="form-group">
                            <strong style="font-size:3px;">&nbsp;</strong> 
                        </div>
                        <?php if ($precio=='si') { ?>
                        <div>
                            <strong style="font-size:8px;"> REF:<?php echo $comt_referencia; ?> - <?php echo $string2; ?><?php echo $string; ?> </strong> 
                        </div>
                        <?php } else { ?>
                        <div class="form-group">
                            <strong style="font-size:8px;">&nbsp;</strong> 
                        </div> 
                        <?php } ?>
                    
                    </div>
<?php           
         
        }  

    } 
    else if ($ser_codigo<>null) 
    {

        $can1=mysqli_query($con,"SELECT * FROM seriales_com_temp WHERE ser_codigo='$ser_codigo' and usuario='$usu_id' ") or die(mysqli_error($con));  
        while ($row=mysqli_fetch_array($can1))
        {
            
            $compra_detalle_temp_comt_id=$row["compra_detalle_temp_comt_id"];
            $ser_codigo=$row["ser_codigo"];
            
            $codbarra[]=(string)$row['ser_codigo'];

            $sql_comt=mysqli_query($con, "SELECT * from compra_detalle_temp where comt_id='$compra_detalle_temp_comt_id' and empresa='$empresa'");
            $rw_tar=mysqli_fetch_array($sql_comt);
            $comt_art_id=$rw_tar['comt_art_id'];
            $comt_referencia=$rw_tar['comt_referencia'];

            $sql_comt1=mysqli_query($con, "SELECT *,LEFT(comt_nombre,50) as comt_nombre from compra_detalle_temp where comt_id='$compra_detalle_temp_comt_id' and empresa='$empresa'");
            $rw_tar1=mysqli_fetch_array($sql_comt1);
            $comt_nombre=$rw_tar1['comt_nombre'];
            
            $tar=mysqli_query($con, "SELECT * from tarifas where tar_nombre='GENERAL' and empresa='$empresa'");
            $tar=mysqli_fetch_array($tar);
            $tar_id=$tar['tar_id'];

            $tar2=mysqli_query($con, "SELECT * from tarifas where tar_nombre='ASESOR' and empresa='$empresa'");
            $tar2=mysqli_fetch_array($tar2);
            $tar_id2=$tar2['tar_id'];

            $sql_emp=mysqli_query($con, "SELECT *,LEFT(emp_nombre,23) as emp_nombre from empresa WHERE emp_id='$empresa' ");
            $rw_pre= mysqli_fetch_array($sql_emp);
            $emp_nombre=$rw_pre['emp_nombre']; 

            $sql_pre=mysqli_query($con, "SELECT * from precio WHERE articulos_art_id='$comt_art_id' and tarifas_tar_id='$tar_id' and empresa='$empresa' ");
            $pre= mysqli_fetch_array($sql_pre);
            $pre_precio=$pre['pre_precio'];

             $sql_pre2=mysqli_query($con, "SELECT * from precio WHERE articulos_art_id='$comt_art_id' and tarifas_tar_id='$tar_id2' and empresa='$empresa' ");
            $pre2= mysqli_fetch_array($sql_pre2);
            $pre_precio2=$pre2['pre_precio'];

            $pre_gen=strlen($pre_precio); // 6 
            $pre_ase=strlen($pre_precio2); // 6 

            if ($pre_gen==6) {
                $string= substr($pre_precio, 0, 3);
            } else {
                $string= substr($pre_precio, 0, 2);
            }

            if ($pre_ase==6) {
                $string2= substr($pre_precio2, 0, 3);
            } else {
                $string2= substr($pre_precio2, 0, 2);
            }
            ?>
            <div id="divid">
                <?php if ($nombre=='si') { ?>
                <div class="form-group">
                    <strong style="font-size:7px;"><?php echo strtoupper($emp_nombre); ?> </strong>
                </div>
                <?php } else { ?>
                <div class="form-group">
                    <strong style="font-size:2px;">&nbsp;</strong> 
                </div> 
                <?php } ?>
                 <div class="form-group">
                    <strong style="font-size:1px;">&nbsp;</strong> 
                </div>
                <div>
                    <strong style="font-size:6px;"> <?php echo $comt_nombre; ?> </strong> 
                </div>
                <div style="padding-left:1mm;padding-right:1mm;;padding-top:1mm;"> 
                    <svg id='<?php echo "barcode".str_replace(' ', '',$ser_codigo); ?>'>
                </div>
                <div> 
                    <strong style="font-size:8px;"> S/N: <?php echo $ser_codigo; ?> </strong> 
                </div>
                 <div class="form-group">
                    <strong style="font-size:3px;">&nbsp;</strong> 
                </div>
                <?php if ($precio=='si') { ?>
                <div>
                    <strong style="font-size:8px;"> REF:<?php echo $comt_referencia; ?> - <?php echo $string2; ?><?php echo $string; ?> </strong> 
                </div>
                <?php } else { ?>
                <div class="form-group">
                    <strong style="font-size:8px;">&nbsp;</strong> 
                </div> 
                <?php } ?>
            
            </div>
    <?php           
        }  
    }

    else if ($ser_codigo_com<>null) 
    {

        $can1=mysqli_query($con,"SELECT * FROM seriales_compra WHERE ser_codigo='$ser_codigo_com' ") or die(mysqli_error($con));  
        while ($row=mysqli_fetch_array($can1))
        {
            
            $compra_detalle_comd_id=$row["compra_detalle_comd_id"];
            $ser_codigo=$row["ser_codigo"];
            
            $codbarra[]=(string)$row['ser_codigo'];

            $sql_comt=mysqli_query($con, "SELECT * from compra_detalle where comd_id='$compra_detalle_comd_id' and empresa='$empresa'");
            $rw_tar=mysqli_fetch_array($sql_comt);
            $comd_art_id=$rw_tar['comd_art_id'];
            $comd_referencia=$rw_tar['comd_referencia'];

            $sql_comt1=mysqli_query($con, "SELECT *,LEFT(comd_nombre,50) as comd_nombre from compra_detalle where comd_id='$compra_detalle_comd_id' and empresa='$empresa'");
            $rw_tar1=mysqli_fetch_array($sql_comt1);
            $comd_nombre=$rw_tar1['comd_nombre'];
            
            $tar=mysqli_query($con, "SELECT * from tarifas where tar_nombre='GENERAL' and empresa='$empresa'");
            $tar=mysqli_fetch_array($tar);
            $tar_id=$tar['tar_id'];

            $tar2=mysqli_query($con, "SELECT * from tarifas where tar_nombre='ASESOR' and empresa='$empresa'");
            $tar2=mysqli_fetch_array($tar2);
            $tar_id2=$tar2['tar_id'];

            $sql_emp=mysqli_query($con, "SELECT *,LEFT(emp_nombre,23) as emp_nombre from empresa WHERE emp_id='$empresa' ");
            $rw_pre= mysqli_fetch_array($sql_emp);
            $emp_nombre=$rw_pre['emp_nombre']; 

            $sql_pre=mysqli_query($con, "SELECT * from precio WHERE articulos_art_id='$comd_art_id' and tarifas_tar_id='$tar_id' and empresa='$empresa' ");
            $pre= mysqli_fetch_array($sql_pre);
            $pre_precio=$pre['pre_precio'];

             $sql_pre2=mysqli_query($con, "SELECT * from precio WHERE articulos_art_id='$comd_art_id' and tarifas_tar_id='$tar_id2' and empresa='$empresa' ");
            $pre2= mysqli_fetch_array($sql_pre2);
            $pre_precio2=$pre2['pre_precio'];

            $pre_gen=strlen($pre_precio); // 6 
            $pre_ase=strlen($pre_precio2); // 6 

            if ($pre_gen==6) {
                $string= substr($pre_precio, 0, 3);
            } else {
                $string= substr($pre_precio, 0, 2);
            }

            if ($pre_ase==6) {
                $string2= substr($pre_precio2, 0, 3);
            } else {
                $string2= substr($pre_precio2, 0, 2);
            }
            ?>
            <div id="divid">
                <?php if ($nombre=='si') { ?>
                <div class="form-group">
                    <strong style="font-size:7px;"><?php echo strtoupper($emp_nombre); ?> </strong>
                </div>
                <?php } else { ?>
                <div class="form-group">
                    <strong style="font-size:2px;">&nbsp;</strong> 
                </div> 
                <?php } ?>
                 <div class="form-group">
                    <strong style="font-size:1px;">&nbsp;</strong> 
                </div>
                <div>
                   <strong style="font-size:6px;"> <?php echo $comd_nombre; ?> </strong> 
                </div>
                <div style="padding-left:1mm;padding-right:1mm;;padding-top:1mm;"> 
                    <svg id='<?php echo "barcode".str_replace(' ', '',$ser_codigo); ?>'>
                </div>
                <div> 
                    <strong style="font-size:8px;"> S/N: <?php echo $ser_codigo; ?> </strong> 
                </div>
                 <div class="form-group">
                    <strong style="font-size:3px;">&nbsp;</strong> 
                </div>
                <?php if ($precio=='si') { ?>
                <div>
                    <strong style="font-size:8px;"> REF:<?php echo $comd_referencia; ?> - <?php echo $string2; ?><?php echo $string; ?> </strong> 
                </div>
                <?php } else { ?>
                <div class="form-group">
                    <strong style="font-size:8px;">&nbsp;</strong> 
                </div> 
                <?php } ?>
            
            </div>
    <?php           
        }  
    }

    if ($comd_id<>null) 
    {
   
        $can1=mysqli_query($con,"SELECT * FROM seriales_compra WHERE compra_detalle_comd_id='$comd_id'") or die(mysqli_error($con));  
        while ($row=mysqli_fetch_array($can1))
        {
        
            $ser_codigo=$row["ser_codigo"];
            
            $codbarra[]=(string)$row['ser_codigo'];

            $sql_comt=mysqli_query($con, "SELECT * from compra_detalle where comd_id='$comd_id' and empresa='$empresa'");
            $rw_tar=mysqli_fetch_array($sql_comt);
            $comd_art_id=$rw_tar['comd_art_id'];
            $comd_referencia=$rw_tar['comd_referencia'];

            $sql_comt1=mysqli_query($con, "SELECT *,LEFT(comd_nombre,50) as comd_nombre from compra_detalle where comd_id='$comd_id' and empresa='$empresa'");
            $rw_tar1=mysqli_fetch_array($sql_comt1);
            $comd_nombre=$rw_tar1['comd_nombre'];
            
            $tar=mysqli_query($con, "SELECT * from tarifas where tar_nombre='GENERAL' and empresa='$empresa'");
            $tar=mysqli_fetch_array($tar);
            $tar_id=$tar['tar_id'];

            $tar2=mysqli_query($con, "SELECT * from tarifas where tar_nombre='ASESOR' and empresa='$empresa'");
            $tar2=mysqli_fetch_array($tar2);
            $tar_id2=$tar2['tar_id'];

            $sql_emp=mysqli_query($con, "SELECT *,LEFT(emp_nombre,23) as emp_nombre from empresa WHERE emp_id='$empresa' ");
            $rw_pre= mysqli_fetch_array($sql_emp);
            $emp_nombre=$rw_pre['emp_nombre']; 

            $sql_pre=mysqli_query($con, "SELECT * from precio WHERE articulos_art_id='$comd_art_id' and tarifas_tar_id='$tar_id' and empresa='$empresa' ");
            $pre= mysqli_fetch_array($sql_pre);
            $pre_precio=$pre['pre_precio'];

             $sql_pre2=mysqli_query($con, "SELECT * from precio WHERE articulos_art_id='$comd_art_id' and tarifas_tar_id='$tar_id2' and empresa='$empresa' ");
            $pre2= mysqli_fetch_array($sql_pre2);
            $pre_precio2=$pre2['pre_precio'];

            $pre_gen=strlen($pre_precio); // 6 
            $pre_ase=strlen($pre_precio2); // 6 

            if ($pre_gen==6) {
                $string= substr($pre_precio, 0, 3);
            } else {
                $string= substr($pre_precio, 0, 2);
            }

            if ($pre_ase==6) {
                $string2= substr($pre_precio2, 0, 3);
            } else {
                $string2= substr($pre_precio2, 0, 2);
            }
             
                 ?>
                    <div id="divid">
                        <?php if ($nombre=='si') { ?>
                        <div class="form-group">
                            <strong style="font-size:7px;"><?php echo strtoupper($emp_nombre); ?> </strong>
                        </div>
                        <?php } else { ?>
                        <div class="form-group">
                            <strong style="font-size:2px;">&nbsp;</strong> 
                        </div> 
                        <?php } ?>
                         <div class="form-group">
                            <strong style="font-size:1px;">&nbsp;</strong> 
                        </div>
                        <div>
                            <strong style="font-size:6px;"> <?php echo $comd_nombre; ?> </strong> 
                        </div>
                        <div style="padding-left:1mm;padding-right:1mm;;padding-top:1mm;"> 
                            <svg id='<?php echo "barcode".str_replace(' ', '',$ser_codigo); ?>'>
                        </div>
                        <div> 
                            <strong style="font-size:8px;"> S/N: <?php echo $ser_codigo; ?> </strong> 
                        </div>
                         <div class="form-group">
                            <strong style="font-size:3px;">&nbsp;</strong> 
                        </div>
                        <?php if ($precio=='si') { ?>
                        <div>
                            <strong style="font-size:8px;"> REF:<?php echo $comd_referencia; ?> - <?php echo $string2; ?><?php echo $string; ?> </strong> 
                        </div>
                        <?php } else { ?>
                        <div class="form-group">
                            <strong style="font-size:8px;">&nbsp;</strong> 
                        </div> 
                        <?php } ?>
                    
                    </div>
<?php           
         
        }  

    }
    
    }
  ?>  

<script type="text/javascript">
$(window).load(function()
{
   window.print();
});

</script>
<script type="text/javascript">

function arrayjsonbarcode(j){
    json=JSON.parse(j);
    arr=[];
    for (var x in json) {
        arr.push(json[x]);
    }
    return arr;
}

jsonvalor='<?php echo json_encode($codbarra) ?>';
valores=arrayjsonbarcode(jsonvalor);

for (var i = 0; i < valores.length; i++) {
    JsBarcode("#barcode" + valores[i], valores[i].toString(), {
        format: "code128",
        lineColor: "#000",
        width: 0.9,
        height: 20,
        displayValue: true,
    });
}
</script>
</body>
</html> 
<?php
}
else
{
    echo '<script>alert("primero debes Iniciar Cesion para ver esta pagina")</script>';
    echo '<script>location.href = "index.php";</script>';
}
?>